// ---=== Sky ===--
// ---=== stormydays ===---
textures/ut4_kornered/kor_korsky1
{
	qer_editorimage env/ut4_kornered/stormydays_ft.tga
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_skylight 80 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.6 0.6 0.6 130 120 60 1 16
	skyparms env/ut4_kornered/stormydays 1024 -
}

textures/ut4_kornered/kor_fogcaulk
{
	qer_trans 0.45
	q3map_noclip
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap

   
}

textures/ut4_kornered/kor_fog

{
	qer_editorimage textures/ut4_kornered/urt_clouds1.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.5 0.5 0.5 ) 80

//	{
//		map textures/ut4_kornered/urt_clouds1.tga
//		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcMod scale 2 3
//		tcMod scroll 0.005 -0.0125
//	}

}


textures/ut4_kornered/kor_cloud

{
	qer_editorimage textures/ut4_kornered/urt_clouds1.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/ut4_kornered/urt_clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.025 -0.0325
	}

}

textures/ut4_kornered/kor_cloud2

{
	qer_editorimage textures/ut4_kornered/clouds1.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 4
		tcMod scroll 0.125 -0.0325
	}

}

textures/ut4_kornered/kor_cloud3

{
	qer_editorimage textures/ut4_kornered/clouds2.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/clouds2.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 2
		tcMod scroll 0.025 -0.1325
	}

}

textures/ut4_kornered/kor_beam1
{
	qer_editorimage textures/ut4_kornered/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_kornered/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.8
        }
}

textures/ut4_kornered/kor_beam2
{
	qer_editorimage textures/ut4_kornered/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_kornered/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.95
        }
}

//watercaulk from FSK405|WilyDuck!!!

textures/ut4_kornered/kor_watercaulk
{
	qer_editorimage textures/ut4_kornered/liquids/pool3d_3.tga
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

// water

textures/ut4_kornered/kor_clear_ripple3
{
	qer_editorimage textures/ut4_kornered/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_kornered/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_kornered/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_kornered/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}


textures/ut4_kornered/kor_foamwater1
{
	qer_editorimage textures/ut4_kornered/clearfoam_water.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	

	{	
		map textures/ut4_kornered/clearfoam_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.09 0.07 0.1 .1
		tcmod scroll .01 .002
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

// ---=== Green SLIME!!! ===---
// ---=== light emitting slime ===---

textures/ut4_kornered/kor_slime
{
	qer_editorimage textures/ut4_kornered/slime_grn.tga
	q3map_lightimage textures/ut4_kornered/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_kornered/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kornered/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_kornered/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_kornered/kor_slimecaulk
{
qer_editorimage textures/ut4_kornered/slime_grn.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// ---=== oozes ===---

textures/ut4_kornered/kor_oozecaulk
{
qer_editorimage textures/ut4_kornered/ooze_prpl.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}


textures/ut4_kornered/kor_oozprpl_drk
{
	qer_editorimage textures/ut4_kornered/ooze_prpl_drk.tga
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	q3map_surfacelight 200
     
	deformVertexes bulge 0.9 0.9 0.5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_prpl_drk.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_prpl_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_prpl_drk.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_prpl_drk.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kornered/kor_oozprpl
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kornered/ooze_prpl.tga
	q3map_surfacelight 300

//	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_prpl.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_prpl_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_prpl.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_prpl.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kornered/kor_oozorng
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kornered/ooze_orng.tga
	q3map_surfacelight 300

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_orng.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_orng_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_orng.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_orng.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kornered/kor_oozgreen
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kornered/ooze_green.tga
	q3map_surfacelight 300

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_green.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_green_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_green.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_green.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kornered/kor_oozred
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kornered/ooze_red.tga
	q3map_surfacelight 300

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kornered/kor_oozblue
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kornered/ooze_blue.tga
	q3map_surfacelight 300

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kornered/kor_oozyellw
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kornered/ooze_yellw.tga
	q3map_surfacelight 300

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_yellw.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_yellw_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_yellw.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_yellw.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_kornered/kor_oozgrey
{
        surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_kornered/ooze_grey.tga
	q3map_surfacelight 300

	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_kornered/ooze_grey.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_grey_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_grey.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_kornered/ooze_grey.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== No Damage ===---

textures/ut4_kornered/kor_grasss1
{
	qer_editorimage textures/ut4_kornered/pr_veg048.jpg
	surfaceparm nodamage
	{	
		map textures/ut4_kornered/pr_veg048.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_kornered/kor_nodaminvis
{

	surfaceparm nodraw

	surfaceparm nolightmap

	surfaceparm nonsolid

	surfaceparm trans

	surfaceparm nomarks

	surfaceparm nodamage
}

// ---=== No Damage Rails ===---


textures/ut4_kornered/kor_nodamcrete
{
	qer_editorimage textures/ut4_kornered/pr_concrete010.jpg 
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_kornered/pr_concrete010.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

textures/ut4_kornered/kor_nodamstairs
{
	qer_editorimage textures/ut4_kornered/pr_concrete044.jpg 
	surfaceparm nodamage
	{	
		map textures/ut4_kornered/pr_concrete044.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
        }
}

//glass

textures/ut4_kornered/kor_glass
{
	qer_editorimage textures/ut4_kornered/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kornered/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_kornered/kor_glass_slk
{
	qer_editorimage textures/ut4_kornered/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_kornered/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_kornered/kor_glass_nons
{
	qer_editorimage textures/ut4_kornered/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_bounce .1	

	{
		map textures/ut4_kornered/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

//Lighting
//From crossing; altered for use

textures/ut4_kornered/kor_panel_500
{
	qer_editorimage textures/ut4_kornered/xing_panel.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kornered/xing_panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kornered/xing_panel_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Fence, Alpha'd, from Urban_terror.shader and urban_terror2 textures

textures/ut4_kornered/kor_fence
{
	qer_editorimage textures/ut4_kornered/fence.tga
	surfaceparm trans
	surfaceparm nonsolid		
	cull none
        nopicmip

	{
		map textures/ut4_kornered/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//modified Ladderclip from UrT

textures/ut4_kornered/kor_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_kornered/kor_glassblk04
{
	qer_editorimage textures/ut4_kornered/pr_glassblock04.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kornered/pr_glassblock04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kornered/pr_glassblock04.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kornered/kor_glassblk04_b
{
	qer_editorimage textures/ut4_kornered/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kornered/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kornered/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_kornered/kor_glassblk04_r
{
	qer_editorimage textures/ut4_kornered/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_kornered/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_kornered/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

